org.deidentifier.arx.metric.v2

## Class Cardinalities

- java.lang.Object
- - org.deidentifier.arx.metric.v2.Cardinalities

All Implemented Interfaces:
  java.io.Serializable

    public class Cardinalities
    extends java.lang.Object
    implements java.io.Serializable

This class represents cardinalities. TODO: This class can potentially be merged with DomainShare TODO: It is not yet sure, which of both mechanisms performs better

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Cardinalities(Data data, RowSet subset, GeneralizationHierarchy[] hierarchies)` Creates a new instance for the given data set.
`Cardinalities(int[][][] cardinalities)` For backwards compatibility, derives the cardinalities from the given array.

### Method Summary

All Methods Instance Methods Concrete Methods
`int[][][]` `getCardinalities()` Returns the cardinalities of the given value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cardinalities

    public Cardinalities(Data data,
                         RowSet subset,
                         GeneralizationHierarchy[] hierarchies)

Creates a new instance for the given data set.

Parameters:
  `data` -
  `subset` -
  `hierarchies` -

#### Cardinalities

    public Cardinalities(int[][][] cardinalities)

For backwards compatibility, derives the cardinalities from the given array.

Parameters:
  `cardinalities` -

### Method Detail

#### getCardinalities

    public int[][][] getCardinalities()

Returns the cardinalities of the given value.

Returns: